Download it now!
Bug 133348 - Crash when using undo 3 times in comment reply
Summary: Crash when using undo 3 times in comment reply
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:6.4.5 target:7.1.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-05-24 13:41 UTC by Tamas Tardos
Modified: 2020-06-01 14:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["swlo.dll"]


Attachments
bt with debug symbols (17.01 KB, text/plain)
2020-05-24 19:44 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamas Tardos 2020-05-24 13:41:24 UTC
Steps to reproduce:
- Open new Writer document
- Click Insert -> Comment
- Enter some text, e.g. "asdf"
- Click Tools -> Settings
- Change your first name or last name so that you are able to reply to the previous comment
- Click OK
- Click the downward arrow on the comment, then click Reply
- Press CTRL-Z
- Press CTRL-Z
- Press CTRL-Z

Result:
First CTRL-Z removes automatically inserted reply related text from reply comment,
second CTRL-Z doesn't do anything,
third CTRL-Z crashes Writer.

Expected result: 
One but maximum two CTRL-Z should remove my reply comment, no crash should occur no matter how many times I press CTRL-Z.

Happens in both 6.3.5.2 and 7.0.0.0 Alpha 1.
Only tested on Windows.

Crash report for 6.3.5.2: https://crashreport.libreoffice.org/stats/crash_details/b00f57c8-9339-4cae-864c-840a6f1e15fb#allthreads

Crash report for 7.0.0.0 Alpha 1: https://crashreport.libreoffice.org/stats/crash_details/f108e603-bcf9-43c6-b395-abaa97069407
Comment 1 MM 2020-05-24 17:58:18 UTC
Confirmed on windows 10 x64 with Version: 6.4.4.2 (x64)
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: default; VCL: win

crashreport.libreoffice.org/stats/crash_details/cb4c3cbf-6cba-4c42-a11d-43eb0c6f17b0
Comment 2 Julien Nabet 2020-05-24 19:44:20 UTC
Created attachment 161242 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Tamas Tardos 2020-05-24 19:58:35 UTC
Can be also reproduced on Linux with:
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 2; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); UI: en-US
Calc: threaded

Crash report: https://crashreport.libreoffice.org/stats/crash_details/f6a7abab-6b4a-4c2b-9205-91712dbe60be

Can be not reproduced with:
Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.10
CPU threads: 2; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: hu-HU (hu_HU.UTF-8); Calc: group
Comment 4 Julien Nabet 2020-05-24 20:58:01 UTC
Let's give a try with:
https://gerrit.libreoffice.org/c/core/+/94766
Comment 5 Commit Notification 2020-05-25 06:47:15 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b0bbfdf89d6496ffda4dc409ec5f2add8c94fe2a

tdf#133348 remove from list before calling SetActiveSidebarWin

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2020-05-25 06:58:26 UTC
Cherry-pick for 6.4 waiting for review here:
https://gerrit.libreoffice.org/c/core/+/94680
Comment 7 Xisco Faulí 2020-05-25 08:24:26 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=339e866d09717b4919dafaad96ebf772d30ec9cb

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-01-14 09:17:36 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-01-15 08:43:02 +0100
commit	339e866d09717b4919dafaad96ebf772d30ec9cb (patch)
tree	e3b25e09ea7d3f9ad981b77eb46db76dcfd6914f
parent	a975d17e715bcf317e40d19ef47cc37660b81f7e (diff)
use unique_ptr in SwPostItMgr
Comment 8 Commit Notification 2020-05-25 08:57:32 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/036f38d34f28288dbde80c230dfca692dca56cb3

tdf#133348 remove from list before calling SetActiveSidebarWin

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Tamas Tardos 2020-05-26 21:33:46 UTC
Thanks for the quick fix! :) It works with today's daily build.
Comment 10 Commit Notification 2020-05-28 18:26:50 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9af6c96ced9c564a3625473cde732b0e366f668d

tdf#133348: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2020-06-01 14:03:11 UTC
Setting to VERIFIED.
@Julien, thanks for fixing this issue!!